2022-08-10 00:17:11 UTC
46.4 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:f8c6eeaa55b0f135b7fddb3d7745a98ca4d8f06d2898611234b9ef99e1183073 - 5.81% (2.7 MB)
[#001] sha256:b39f34fabee1478b7c0843754eeab08ffcfff8f46f225947ccec5a1ce3c97427 - 0.0% (1.21 KB)
[#002] sha256:fdcea91349eca5ad61e8aedc1559a5ae7799ece5af76b54994e2d0aedba4b8f8 - 94.18% (43.7 MB)
[#003] sha256:29d7d681535a330fdf6323c163a9c8e4b8ad73ecb8ad94d166f0d73931b8bc99 - 0.0% (143 Bytes)
[#004] sha256:c41452ce51b713a52b7189170938dca30cdec684cc538d1f3f30ed7d0c8d98e2 - 0.0% (154 Bytes)
[#005] sha256:42f322737f395fead487e4fd88ada48065dcdeb6dd02eeec480b6f6c5fd612cc - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:d51bb92de86c49ee5486066d12194be78c8b9a8452c44577e2dfeef1945a0138 in /
2022-08-09 17:38:47 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-08-10 00:16:53 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.3
2022-08-10 00:16:54 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.3 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-08-10 00:16:55 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-08-10 00:16:56 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-08-10 00:17:02 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-08-10 00:17:03 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-08-10 00:17:04 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-08-10 00:17:05 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-08-10 00:17:06 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-08-10 00:17:07 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-08-10 00:17:08 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-08-10 00:17:10 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-08-10 00:17:10 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-08-10 00:17:11 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-08-09 18:19:16 UTC
47.3 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:9621f1afde84053b2f9b6ff34fc7f7460712247c01cbab483c5fa7132cf782ca - 5.69% (2.69 MB)
[#001] sha256:deb9e335269b18d0845e0d82b72c7d3d2f0571c5954f6734337b8c4d60d95f65 - 0.0% (1.24 KB)
[#002] sha256:16e4d825a41c32a2e07ecae383245ded626738fc5f86fdd2149b388c164b4c35 - 94.3% (44.6 MB)
[#003] sha256:ef5c29d9b704cd1356870c2484a20f546037973d57c0a7c8d8c982ecd28cee51 - 0.0% (173 Bytes)
[#004] sha256:2c5dc3bdb3260a4989b28366b5e794b041d63af3ec202f55d0a64ea0c0041942 - 0.0% (153 Bytes)
[#005] sha256:c265a329c716dd93cfa6a6def5b846253e9fdb039345f81067aa0db68df70d33 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:f77e3f51f020890d22997e6c2ca98968b75b8bc8c463341a2010ff0655d4c88f in /
2022-08-09 17:20:01 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-08-09 18:19:08 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.3
2022-08-09 18:19:08 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.3 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-08-09 18:19:08 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-08-09 18:19:08 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-08-09 18:19:14 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-08-09 18:19:14 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-08-09 18:19:15 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-08-09 18:19:15 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-08-09 18:19:15 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-08-09 18:19:15 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-08-09 18:19:15 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-08-09 18:19:16 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-08-09 18:19:16 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-08-09 18:19:16 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-08-09 18:36:34 UTC
45.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:293b708aa6fb80967f27727d5c9c53ac9ba9cac376bed2ad02c17a5cca317b35 - 5.55% (2.51 MB)
[#001] sha256:58553ba144a53432002f40d76f6bf7d7f6065a39a2820c946d478ee8f22459da - 0.0% (1.24 KB)
[#002] sha256:12ac3584c0ad364b6fa5f95968e4e15dfb04ac04ba5d20a0d856096e2f3a88a6 - 94.45% (42.7 MB)
[#003] sha256:af48f15de439742c66850976d741b1dce565149cf5c7046d16b7ee20b6428529 - 0.0% (175 Bytes)
[#004] sha256:a5e5a3ffd9e26027f007bd842b51a2d1c50b3b0f7072b3a044064cfdfa11770f - 0.0% (154 Bytes)
[#005] sha256:f1df135dc978208126f1f661f5aca725fe6db9e250c17ab37115e588707725fb - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:89cb25f97e17bed5c56311280efe5cfa78422d8ffbe36232195d13f94d67417e in /
2022-08-09 17:49:29 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-08-09 18:36:24 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.3
2022-08-09 18:36:24 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.3 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-08-09 18:36:24 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-08-09 18:36:25 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-08-09 18:36:32 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-08-09 18:36:32 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-08-09 18:36:33 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-08-09 18:36:33 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-08-09 18:36:33 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-08-09 18:36:33 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-08-09 18:36:33 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-08-09 18:36:33 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-08-09 18:36:34 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-08-09 18:36:34 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-08-09 18:22:39 UTC
45 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:47517142f6ba87eca6b7bdca1e0df160b74671c81e4b9605dad38c1862a43be3 - 5.76% (2.59 MB)
[#001] sha256:00fc95a3a7be56f234c7db964f3fe7cdb33ba9e329f2d8fbd64dc4bf15a528b6 - 0.0% (1.21 KB)
[#002] sha256:c61dcaf2f442c67fcfb785f52489b20007f58871b92d74c00505d7b0243eeefc - 94.23% (42.4 MB)
[#003] sha256:33e111b8a7299438e3ea3ae161a26df7b6a57925337cdd824ac5c9d4052b94ff - 0.0% (142 Bytes)
[#004] sha256:1b19722da856ca47f1ed77b12597e8c7c6927d43379b44b925d0654f764bef1e - 0.0% (153 Bytes)
[#005] sha256:9a9af7c98a4dbd51d96eea352418ebb644faa889692060256f8b6bd6bd7a54ca - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:4b51a9d40f20d2beb29d0759b161d2b9403493453beb509de4e86a5d98513f16 in /
2022-08-09 17:39:51 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-08-09 18:22:22 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.3
2022-08-09 18:22:22 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.3 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-08-09 18:22:23 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-08-09 18:22:24 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-08-09 18:22:30 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-08-09 18:22:31 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-08-09 18:22:32 UTC|1 CONSUL_VERSION=1.12.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-08-09 18:22:33 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-08-09 18:22:34 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-08-09 18:22:35 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-08-09 18:22:36 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-08-09 18:22:38 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-08-09 18:22:38 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-08-09 18:22:39 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]